#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityKingCraftSignCFGData
{
	//天数
	int mDay;
	//奖励物品
	std::vector<int> mItem;
	//奖励数量
	std::vector<int> mCount;
};

class M_ActivityKingCraftSignCFG
{
public:
private:
	static std::auto_ptr<M_ActivityKingCraftSignCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityKingCraftSignCFGData* GetData(int Day);
	boost::unordered_map<int, M_ActivityKingCraftSignCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityKingCraftSignCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityKingCraftSignCFGData> mMapData;
};
